## less 668

=== lesstest/Makefile ===
CC ?= gcc
CFLAGS ?= -Wall -O2
LDFLAGS ?=
TERMLIB = -lncurses
srcdir ?= .

all: lesstest lt_screen 

LESSTEST_SRC = display.c env.c lesstest.c parse.c pipeline.c log.c run.c term.c wchar.c
LESSTEST_OBJ = $(patsubst %.c,%.o,$(LESSTEST_SRC))

lesstest: $(LESSTEST_OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o lesstest $(LESSTEST_OBJ) $(TERMLIB) $(LIBS)

LT_SCREEN_SRC = lt_screen.c unicode.c wchar.c
LT_SCREEN_OBJ = $(patsubst %.c,%.o,$(LT_SCREEN_SRC))
lt_screen: $(LT_SCREEN_OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o lt_screen $(LT_SCREEN_OBJ) $(LIBS)

HDR = lesstest.h lt_types.h wchar.h
*.o: $(HDR)

echo_distfiles:
	@echo $(patsubst %,$(srcdir)/%,$(LESSTEST_SRC) $(LT_SCREEN_SRC) $(HDR) lt/*.lt runtest maketest extract ltview Makefile README)

clean:
	rm -f lesstest lt_screen *.o

=== debian/changelog ===
less (668-1) sid; urgency=medium

  * new upstream release
    - CVE-2024-32487 fixed in v654, drop patches (#1068938, #1069681)
    - more can go backwards (closes: #655926)
    - fix build failure on GNU/Hurd (closes: #1060420)
    - fix incorrect handling of UTF-8 chars in prompts (closes: #1083280)
    - exit code 1 with LESSOPEN if stdin is /dev/null (closes: #1073071)
    - extremely slow regex searches on very long lines (lp: #2067276)
  * d/p/less-is-more-434417: update upstream patch status
  * d/control: switch to debhelper 13 compatibility level
  * d/control: comply to standards version 4.7.2
  * d/copyright: update
  * d/u/signing-key.asc: rearmor

 -- Milan Kupcevic <milan@debian.org>  Sun, 06 Apr 2025 01:23:51 -0400

=== debian/control ===
Source: less
Section: text
Priority: important
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/less.git
Vcs-Browser: https://salsa.debian.org/debian/less
Homepage: http://www.greenwoodsoftware.com/less/

Package: less
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: foreign
Description: pager program similar to more
 This package provides "less", a file pager (that is, a memory-efficient
 utility for displaying text one screenful at a time). Less has many
 more features than the basic pager "more". As part of the GNU project,
 it is widely regarded as the standard pager on UNIX-derived systems.
 .
 Also provided are "lessecho", a simple utility for ensuring arguments
 with spaces are correctly quoted; "lesskey", a tool for modifying the
 standard (vi-like) keybindings; and "lesspipe", a filter for specific
 types of input, such as .doc or .txt.gz files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_auto_test:

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-regex=gnu \
	  --with-editor=/usr/bin/editor

=== debian/tests/control ===
Test-Command: less --help
Depends: less

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/\.tar\.gz/.sig/ \
https://www.greenwoodsoftware.com/less/download.html .*/less(?:[-_]?(\d[+\.:\~\da-zA-Z]*))(?i)(?:\.(?:tar\.xz|tar\.bz2|tar\.gz|tar\.zstd?|tgz|tbz|txz))
